Bug 496009 - Build with -DSQLITE_SECURE_DELETE=1
Build with -DSQLITE_SECURE_DELETE=1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 19:12 EDT by Christopher Aillon
Modified: 2010-03-10 10:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-10 10:36:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2009-04-15 19:12:20 EDT
sqlite doesn't remove traces of data in the db file after it has been deleted from the database, which is a privacy concern of some callers, notably Firefox.  In order to do so, set SQLITE_SECURE_DELETE=1 which will zero-fill data when it is deleted.  Doing so may even improve performance of some operations.  See also https://developer.mozilla.org/En/Storage:Performance#Vacuuming_and_zero-fill

Would like to see if we can get this in F11 if possible.
Comment 1 Bug Zapper 2009-06-09 09:53:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Panu Matilainen 2010-03-10 10:36:15 EST
I've been hesitant (to put it mildly :) forcing this behavior on all sqlite users, and now I'm glad I was. Sqlite 3.6.23 added a pragma to control the secure deletion behavior per db, which is how this kind of switch needs to be:
http://www.sqlite.org/pragma.html#pragma_secure_delete

WONTFIX, users with sensitive data can use the new pragma instead. sqlite-3.6.23 was just built for rawhide and I'm willing to consider putting it out as an update for other releases once rawhide proves it doesn't blow up anything.

Note You need to log in before you can comment on or make changes to this bug.